## hkl 5.0.0.2960

=== contrib/haskell/data/test/Makefile ===
RTS = +RTS -N4 -RTS
RUN = cd ../..; /usr/bin/time -v ./bootstrap cabal run binoculars-ng -- $(RTS)
PROCESS = $(RUN) --debug process

mars:
#	$(PROCESS) data/test/config_mars_ruche_rel_flyscan.ini
#	$(PROCESS) /nfs/ruche-mars/mars-soleil/com-mars/2021_Run5/20191020/binoculars/config_qxqyqz.ini 173
#	$(PROCESS) /nfs/ruche-mars/mars-soleil/com-mars/2021_Run5/20191020/binoculars/config_qxqyqz.ini 153
#	$(PROCESS) /nfs/ruche-mars/mars-soleil/com-mars/2021_Run5/20191020/binoculars/config_qxqyqz.ini 132
#	$(PROCESS) /nfs/ruche-mars/mars-soleil/com-mars/2021_Run5/20191020/binoculars/config_qxqyqz.ini 105
#	$(PROCESS) /nfs/ruche-mars/mars-soleil/com-mars/2021_Run5/20191020/binoculars/config_qxqyqz.ini 78
#	$(PROCESS) /nfs/ruche-mars/mars-soleil/com-mars/2021_Run5/20191020/binoculars/config_qxqyqz.ini 75
#	$(PROCESS) /nfs/ruche-mars/mars-soleil/com-mars/2022_Run1/20211749/binoculars/config_qxqyqz.ini 75
	$(PROCESS) /nfs/ruche-mars/mars-soleil/com-mars/2022_Run1/20211749/binoculars/config_qxqyqz.ini 145

ord05133:
#	valgrind --tool=massif /home/picca/src/repo.or.cz/hkl/contrib/haskell/dist-newstyle/build/x86_64-linux/ghc-8.8.4/hkl-0.1.0.0/x/binoculars-ng/build/binoculars-ng/binoculars-ng process config_ord05133_flymedh.ini 1303-1312
#	valgrind --tool=helgrind /home/picca/src/repo.or.cz/hkl/contrib/haskell/dist-newstyle/build/x86_64-linux/ghc-8.8.4/hkl-0.1.0.0/x/binoculars-ng/build/binoculars-ng/binoculars-ng process config_ord05133_int32.cfg  1303-1306
#	$(PROCESS) /nfs/ruche/sixs-soleil/com-sixs/2021/Run4/20210628_Torrelles/binoculars/config2.txt 1303
#	$(PROCESS) data/test/config_ord05133_int32.cfg 1303-1312
#	$(PROCESS) /nfs/ruche-sixs/sixs-soleil/com-sixs/2021/Run4/Arthur_UHV/binoculars/config210_m1018_32h_Qxyz_Vhkl.txt 134-160
#	$(PROCESS) data/test/config_ord05133_110_m1018_32h_Qxyz_Vhkl.ini 272-285,289-316
#	$(PROCESS) data/test/config_ord05133_110_m1018_32h_Qxyz_Vhkl.ini 272-273
#	$(PROCESS) ~/src/repo.or.cz/hkl/contrib/haskell/data/test/config_ord05133_flymedh.ini 1303-1312
#	$(PROCESS) ~/src/repo.or.cz/hkl/contrib/haskell/data/test/config_ord05133_flymedh.ini 1303-1312
#	$(PROCESS) data/test/config_ord05133_flymedh.ini 1303-1312
#	$(PROCESS) data/test/config_ord05133_ruche_mars_flyscan.ini
	$(PROCESS) data/test/config_ord05133_ruche_uhv_big.ini
#	$(PROCESS) data/test/config_ord05133_ruche_flymedv_3.ini

sixs:
#	$(PROCESS) hkl/contrib/haskell/dist-newstyle/build/x86_64-linux/ghc-8.8.4/hkl-0.1.0.0/x/binoculars-ng/build/binoculars-ng/binoculars-ng process data/test/config_sixs_ruche_uhv.ini
#	$(PROCESS) data/test/config_sixs_ruche_uhv.ini
#	$(PROCESS) data/test/config_sixs_ruche_uhv_2.ini
#	$(PROCESS) /nfs/ruche-sixs/sixs-soleil/com-sixs/2021/Run2/test_Arthur/binoculars/Test_ROD_config_UHV_2m115_1500_3h_TT_Qxyz.txt 2016-2044
#	$(PROCESS) /nfs/ruche-sixs/sixs-soleil/com-sixs/2022/Run1/20211017_resta/Binoculars/T450C/config_map2h.txt 1596-1635
#	$(PROCESS) data/test/config_sixs_ruche_flymedv_2.ini
#	$(PROCESS) data/test/config_sixs_ruche_flymedv_3.ini 698-734 735-736
#	$(PROCESS) data/test/config_sixs_ruche_limits.txt 338
	$(PROCESS) data/test/config_sixs_ruche_flyscanuhvtest.txt 550

ssd:
	$(PROCESS) data/test/config_ssd_cristal_qparqper.ini
#	$(PROCESS) data/test/config_ssd_cristal.iniconfig_ssd_cristal_qparqper.ini
#	$(PROCESS) data/test/config_ssd_cristal_limits.ini
#	$(PROCESS) /home/picca/tests-datas/binoculars/sixs/int32/config.cfg

#binoculars process config_m1018_32h_Qxyz.txt 173-187- 190-195
#binoculars process config_m1018_32h_Qxyz.txt 217-224
#binoculars process config_m1018_32h_HKL.txt 103-132
#binoculars process config_m1018_32h_HKL.txt 173-187 190-195
#binoculars process config_m1018_32h_HKL.txt 228-257
#binoculars process config110tige1_m1018_32h_Qxyz_Vhkl.txt 173-187 190-195
#binoculars process config110tige2_m1018_32h_Qxyz_Vhkl.txt 40-53 55-68 71-100
#binoculars process config210_m1018_32h_Qxyz_Vhkl.txt 103-132
#binoculars process config210_m1018_32h_Qxyz_Vhkl.txt 134 137 140 143 146 149 152 155 158
#binoculars process config210_m1018_32h_Qxyz_Vhkl.txt 259
#binoculars process config210_m1018_32h_Qxyz_Vhkl.txt 262-269
#binoculars process config_m1018_32h_Qxyz_Vhkl.txt 105-106 129 131
#binoculars process config_m1018_32h_Qxyz.txt 105-106 129 131
#binoculars process configV2_m1018_32h_Qxyz_Vhkl.txt 45-48 62-63 67-68
#binoculars process config_m1018_32h_HKL.txt 33-36
.PHONI: mars ord05133 ssd sixs

=== debian/changelog ===
hkl (5.0.0.2960-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 25 Mar 2022 11:13:18 +0100

hkl (5.0.0.2960-1) unstable; urgency=medium

  * New upstream version 5.0.0.2959
  * New upstream version 5.0.0.2960
  * d/control: Added libhdf5-dev and libgl-dev to B-D.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 22 Mar 2022 18:50:04 +0100

## hkl 5.0.0.2994

=== contrib/haskell/data/test/Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
 RTS = +RTS -N4 -RTS
 RUN = cd ../..; /usr/bin/time -v ./bootstrap cabal run binoculars-ng -- $(RTS)
 PROCESS = $(RUN) --debug process
+PROCESS_DBG = cd ../..; ./bootstrap gdb --args dist-newstyle/build/x86_64-linux/ghc-8.8.4/hkl-0.1.0.0/x/binoculars-ng/build/binoculars-ng/binoculars-ng process
 
 mars:
 #	$(PROCESS) data/test/config_mars_ruche_rel_flyscan.ini
@@ -25,8 +26,9 @@
 #	$(PROCESS) ~/src/repo.or.cz/hkl/contrib/haskell/data/test/config_ord05133_flymedh.ini 1303-1312
 #	$(PROCESS) data/test/config_ord05133_flymedh.ini 1303-1312
 #	$(PROCESS) data/test/config_ord05133_ruche_mars_flyscan.ini
-	$(PROCESS) data/test/config_ord05133_ruche_uhv_big.ini
+#	$(PROCESS) data/test/config_ord05133_ruche_uhv_big.ini
 #	$(PROCESS) data/test/config_ord05133_ruche_flymedv_3.ini
+	$(PROCESS) data/test/config_ord05133_ruche_limit_18KeV.ini 815-818
 
 sixs:
 #	$(PROCESS) hkl/contrib/haskell/dist-newstyle/build/x86_64-linux/ghc-8.8.4/hkl-0.1.0.0/x/binoculars-ng/build/binoculars-ng/binoculars-ng process data/test/config_sixs_ruche_uhv.ini

=== debian/changelog ===
hkl (5.0.0.2994-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 16 May 2022 11:17:54 +0200

hkl (5.0.0.2994-1) unstable; urgency=medium

  * New upstream version 5.0.0.2994

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 13 May 2022 15:55:03 +0200

## hkl 5.0.0.3000

=== contrib/haskell/data/test/Makefile ===
--- 
+++ 
@@ -38,8 +38,8 @@
 #	$(PROCESS) /nfs/ruche-sixs/sixs-soleil/com-sixs/2022/Run1/20211017_resta/Binoculars/T450C/config_map2h.txt 1596-1635
 #	$(PROCESS) data/test/config_sixs_ruche_flymedv_2.ini
 #	$(PROCESS) data/test/config_sixs_ruche_flymedv_3.ini 698-734 735-736
-#	$(PROCESS) data/test/config_sixs_ruche_limits.txt 338
-	$(PROCESS) data/test/config_sixs_ruche_flyscanuhvtest.txt 550
+	$(PROCESS) data/test/config_sixs_ruche_limits.txt 338
+#	$(PROCESS) data/test/config_sixs_ruche_flyscanuhvtest.txt 550
 
 ssd:
 	$(PROCESS) data/test/config_ssd_cristal_qparqper.ini

=== debian/changelog ===
hkl (5.0.0.3000-1) unstable; urgency=medium

  * New upstream version 5.0.0.3000

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 20 May 2022 09:42:06 +0200

## hkl 5.0.0.3001

=== contrib/haskell/data/test/Makefile ===
--- 
+++ 
@@ -40,6 +40,8 @@
 #	$(PROCESS) data/test/config_sixs_ruche_flymedv_3.ini 698-734 735-736
 	$(PROCESS) data/test/config_sixs_ruche_limits.txt 338
 #	$(PROCESS) data/test/config_sixs_ruche_flyscanuhvtest.txt 550
+#	$(PROCESS) data/test/config_sixs_ruche_angles.ini 274-279
+# TODO /nfs/ruche-sixs/sixs-soleil/com-sixs/2021/Run3/20201559_Andreazza/binoculars/config3_ech1.txt 77-78 -> realspace
 
 ssd:
 	$(PROCESS) data/test/config_ssd_cristal_qparqper.ini

=== debian/changelog ===
hkl (5.0.0.3001-1) unstable; urgency=medium

  * New upstream version 5.0.0.3001

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 24 May 2022 15:51:36 +0200

=== debian/control ===
Source: hkl
Maintainer: Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
Uploaders:
 Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>,
 Picca Frédéric-Emmanuel <picca@debian.org>,
Section: science
Priority: optional
Build-Depends:
 autoconf-archive,
 debhelper-compat (= 13),
 gnuplot-nox,
 gobject-introspection,
 gtk-doc-tools,
 libbullet-dev,
 libg3d-dev,
 libg3d-plugins,
 libgirepository1.0-dev,
 libgl-dev,
 libgsl0-dev | libgsl-dev,
 libgtk-3-dev,
 libgtkglext1-dev,
 libhdf5-dev,
 libyaml-dev,
 python3-gi,
 python3-matplotlib,
 python3-tk,
Build-Depends-Indep:
 elpa-htmlize <!nodoc>,
 emacs | org-mode <!nodoc>,
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/science-team/hkl
Vcs-Git: https://salsa.debian.org/science-team/hkl.git
Homepage: https://repo.or.cz/hkl.git

Package: ghkl
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: diffractometer computation control application
 The hkl library is a framework for diffraction computation and
 diffractometer control, heavily used at the SOLEIL synchrotron. It
 supports various types of diffractometer geometry: Eulerian 4-circle,
 Eulerian 6-circle, kappa 4-circle, kappa 6-circle, and z-axis
 geometry. For each of these it provides several numerically computed
 modes, such as bisector and constant psi.
 .
 This package provides a gui on top of the hkl library.

Package: libhkl5
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 libhkl-doc,
Pre-Depends:
 ${misc:Pre-Depends},
Description: diffractometer computation control library
 The hkl library is a framework for diffraction computation and
 diffractometer control, heavily used at the SOLEIL synchrotron. It
 supports various types of diffractometer geometry: Eulerian 4-circle,
 Eulerian 6-circle, kappa 4-circle, kappa 6-circle, and z-axis
 geometry. For each of these it provides several numerically computed
 modes, such as bisector and constant psi.
 .
 This package provides the runtime hkl library.

Package: libhkl-dev
Architecture: any
Section: libdevel
Depends:
 gir1.2-hkl-5.0 (= ${binary:Version}),
 install-info,
 libglib2.0-dev,
 libgsl-dev | libgsl0-dev,
 libhkl5 (= ${binary:Version}),
 ${misc:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: diffractometer computation control library - development files
 The hkl library is a framework for diffraction computation and
 diffractometer control, heavily used at the SOLEIL synchrotron. It
 supports various types of diffractometer geometry: Eulerian 4-circle,
 Eulerian 6-circle, kappa 4-circle, kappa 6-circle, and z-axis
 geometry. For each of these it provides several numerically computed
 modes, such as bisector and constant psi.
 .
 This package provides everything needed to link against hkl.

Package: libhkl-doc
Architecture: all
Section: doc
Depends:
 libjs-mathjax,
 ${misc:Depends},
Multi-Arch: foreign
Description: diffractometer computation control library - documentation
 The hkl library is a framework for diffraction computation and
 diffractometer control, heavily used at the SOLEIL synchrotron. It
 supports various types of diffractometer geometry: Eulerian 4-circle,
 Eulerian 6-circle, kappa 4-circle, kappa 6-circle, and z-axis
 geometry. For each of these it provides several numerically computed
 modes, such as bisector and constant psi.
 .
 This package provides the documentation for hkl.

Package: gir1.2-hkl-5.0
Architecture: any
Multi-Arch: same
Section: introspection
Depends:
 ${gir:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: diffractometer computation control library - gir binding
 The hkl library is a framework for diffraction computation and
 diffractometer control, heavily used at the SOLEIL synchrotron. It
 supports various types of diffractometer geometry: Eulerian 4-circle,
 Eulerian 6-circle, kappa 4-circle, kappa 6-circle, and z-axis
 geometry. For each of these it provides several numerically computed
 modes, such as bisector and constant psi.
 .
  This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.

## hkl 5.0.0.3357

=== contrib/haskell/data/test/Makefile ===
--- 
+++ 
@@ -1,18 +1,23 @@
-RTS = +RTS -N4 -RTS
+RTS = +RTS -N8 -RTS
 RUN = cd ../..; /usr/bin/time -v ./bootstrap cabal run binoculars-ng -- $(RTS)
 PROCESS = $(RUN) --debug process
-PROCESS_DBG = cd ../..; ./bootstrap gdb --args dist-newstyle/build/x86_64-linux/ghc-8.8.4/hkl-0.1.0.0/x/binoculars-ng/build/binoculars-ng/binoculars-ng process
+#PROCESS = cd ../..; binoculars-ng process
+#PROCESS_DBG = cd ../..; ./bootstrap gdb --args $(cabal list-bin binoculars-ng) --debug process
+PROCESS_DBG = cd ../..; ./bootstrap gdb --args dist-newstyle/build/x86_64-linux/ghc-8.8.4/hkl-0.1.0.0/x/binoculars-ng/build/binoculars-ng/binoculars-ng --debug process
+
+cristal:
+	$(PROCESS) /nfs/ruche/cristal-soleil/com-cristal/2019/Run5/99190273_Bouyanfif/PourFred/conf_mask.ini  64
 
 mars:
 #	$(PROCESS) data/test/config_mars_ruche_rel_flyscan.ini
-#	$(PROCESS) /nfs/ruche-mars/mars-soleil/com-mars/2021_Run5/20191020/binoculars/config_qxqyqz.ini 173
-#	$(PROCESS) /nfs/ruche-mars/mars-soleil/com-mars/2021_Run5/20191020/binoculars/config_qxqyqz.ini 153
-#	$(PROCESS) /nfs/ruche-mars/mars-soleil/com-mars/2021_Run5/20191020/binoculars/config_qxqyqz.ini 132
-#	$(PROCESS) /nfs/ruche-mars/mars-soleil/com-mars/2021_Run5/20191020/binoculars/config_qxqyqz.ini 105
-#	$(PROCESS) /nfs/ruche-mars/mars-soleil/com-mars/2021_Run5/20191020/binoculars/config_qxqyqz.ini 78
-#	$(PROCESS) /nfs/ruche-mars/mars-soleil/com-mars/2021_Run5/20191020/binoculars/config_qxqyqz.ini 75
-#	$(PROCESS) /nfs/ruche-mars/mars-soleil/com-mars/2022_Run1/20211749/binoculars/config_qxqyqz.ini 75
-	$(PROCESS) /nfs/ruche-mars/mars-soleil/com-mars/2022_Run1/20211749/binoculars/config_qxqyqz.ini 145
+#	$(PROCESS) /nfs/ruche/mars-soleil/com-mars/2021_Run5/20191020/binoculars/config_qxqyqz.ini 173
+#	$(PROCESS) /nfs/ruche/mars-soleil/com-mars/2021_Run5/20191020/binoculars/config_qxqyqz.ini 153
+#	$(PROCESS) /nfs/ruche/mars-soleil/com-mars/2021_Run5/20191020/binoculars/config_qxqyqz.ini 132
+#	$(PROCESS) /nfs/ruche/mars-soleil/com-mars/2021_Run5/20191020/binoculars/config_qxqyqz.ini 105
+#	$(PROCESS) /nfs/ruche/mars-soleil/com-mars/2021_Run5/20191020/binoculars/config_qxqyqz.ini 78
+#	$(PROCESS) /nfs/ruche/mars-soleil/com-mars/2021_Run5/20191020/binoculars/config_qxqyqz.ini 75
+#	$(PROCESS) /nfs/ruche/mars-soleil/com-mars/2022_Run1/20211749/binoculars/config_qxqyqz.ini 75
+	$(PROCESS) /nfs/ruche/mars-soleil/com-mars/2022_Run1/20211749/binoculars/config_qxqyqz.ini 145
 
 ord05133:
 #	valgrind --tool=massif /home/picca/src/repo.or.cz/hkl/contrib/haskell/dist-newstyle/build/x86_64-linux/ghc-8.8.4/hkl-0.1.0.0/x/binoculars-ng/build/binoculars-ng/binoculars-ng process config_ord05133_flymedh.ini 1303-1312
@@ -38,16 +43,55 @@
 #	$(PROCESS) /nfs/ruche-sixs/sixs-soleil/com-sixs/2022/Run1/20211017_resta/Binoculars/T450C/config_map2h.txt 1596-1635
 #	$(PROCESS) data/test/config_sixs_ruche_flymedv_2.ini
 #	$(PROCESS) data/test/config_sixs_ruche_flymedv_3.ini 698-734 735-736
-	$(PROCESS) data/test/config_sixs_ruche_limits.txt 338
+#	$(PROCESS) data/test/config_sixs_ruche_limits.txt 338
 #	$(PROCESS) data/test/config_sixs_ruche_flyscanuhvtest.txt 550
 #	$(PROCESS) data/test/config_sixs_ruche_angles.ini 274-279
-# TODO /nfs/ruche-sixs/sixs-soleil/com-sixs/2021/Run3/20201559_Andreazza/binoculars/config3_ech1.txt 77-78 -> realspace
+#	$(PROCESS) /nfs/ruche-sixs/sixs-soleil/com-sixs/2020/Run5/20200672_Guinebretiere/binoculars/config_6D5b_Qxyz.txt 412-417
+#	$(PROCESS) /nfs/ruche-sixs/sixs-soleil/com-sixs/2022/Run4/cervasio_20220528/binoculars/config_hkl_s70.cfg 170-178
+#	$(PROCESS) /nfs/ruche-sixs/sixs-soleil/com-sixs/2022/Run5/Lundgren_20220155/binoculars21/config_hkl.cfg 570-599
+#	$(PROCESS) /nfs/ruche-sixs/sixs-soleil/com-sixs/2022/Run5/Lundgren_20220155/binoculars21/config_hkl_3.cfg 570-599
+#	$(PROCESS) /nfs/ruche-sixs/sixs-soleil/com-sixs/2022/Run5/20220739_kutyla/binoculars/config_angles.cfg-ng 26-41
+#	$(PROCESS) /nfs/ruche-sixs/sixs-soleil/com-sixs/2022/Run5/20220739_kutyla/binoculars/config_q-index.cfg 210-286
+#	$(PROCESS) /nfs/ruche-sixs/sixs-soleil/com-sixs/2022/Run5/20220739_kutyla/binoculars/config_auto.txt 922
+#	$(PROCESS) /nfs/ruche-sixs/sixs-soleil/com-sixs/2022/Run5/20220739_kutyla/binoculars/config_auto_sbs.txt 1087
+#	$(PROCESS) data/test/config_sixs_ruche_qcustom.ini
+# 	$(PROCESS) data/test/config_sixs_ruche_qcustom2.ini
+#	$(PROCESS) data/test/config_sixs_ruche_qcustom_datapath.ini
+#	$(PROCESS) data/test/config_sixs_ruche_qcustom_sbsuhv.ini
+#	$(PROCESS) /nfs/ruche-sixs/sixs-soleil/com-sixs/2022/Run5/Creutzburg_20220176/binoculars/config_hkl.cfg 218
+#	$(PROCESS) /nfs/ruche-sixs/sixs-soleil/com-sixs/2022/Run5/Creutzburg_20220176/binoculars/config_sbs.cfg 215
+#	$(PROCESS) /nfs/ruche-sixs/sixs-soleil/com-sixs/2022/Run5/Creutzburg_20220176/binoculars/config_sbs.cfg 12
+#	$(PROCESS) /nfs/ruche-sixs/sixs-soleil/com-sixs/2022/Run2/Hejral_20210611/binoculars/config_hkl_sbs.txt 50
+#	$(PROCESS) /nfs/ruche-sixs/sixs-soleil/com-sixs/2022/Run3/felici_20211498/binoculars/config_hkl.txt 40-82
+#	$(PROCESS) /nfs/ruche-sixs/sixs-soleil/com-sixs/2022/Run1/20211454_Bellec/binoculars/config_dpath.txt 488
+#	$(PROCESS) /nfs/ruche-sixs/sixs-soleil/com-sixs/2022/Run1/20211454_Bellec/binoculars/config_angles.txt 488
+#	$(PROCESS) /nfs/ruche-sixs/sixs-soleil/com-sixs/2023/Run2/Mozhzhukhina_20220548/binoculars/config_sbs_xpad.txt 356
+#	$(PROCESS) /nfs/ruche-sixs/sixs-soleil/com-sixs/2023/Run2/Mozhzhukhina_20220548/binoculars/config_sbs_xpad.txt 537
+#	$(PROCESS) /nfs/ruche-sixs/sixs-soleil/com-sixs/2023/Run2/Mozhzhukhina_20220548/binoculars/config_sbs_eiger.txt 306
+	$(PROCESS) /nfs/ruche-sixs/sixs-soleil/com-sixs/2023/Run2/Mozhzhukhina_20220548/binoculars/config_sbs_eiger.txt 640
+# TODO	$(PROCESS) /nfs/ruche-sixs/sixs-soleil/com-sixs/2021/Run3/20201559_Andreazza/binoculars/config3_ech1.txt 77-78
+#	$(PROCESS) data/test/config_sixs_ruche_qcustom2_1.ini 912
+#	$(PROCESS) data/test/config_sixs_ruche_qcustom2_1.ini 913
+#	$(PROCESS) data/test/config_sixs_ruche_qcustom2_1.ini 912-913
+#	$(PROCESS) data/test/config_sixs_ruche_qcustom2_2.ini 912-913
+#	$(PROCESS) /nfs/ruche-sixs/sixs-soleil/com-sixs/2021/Run1/20201403_Bellec/binoculars/config1q.txt 50-55
+#	$(PROCESS) data/test/config_sixs_ruche_qcustom2_3.ini 50-55
+#	$(PROCESS) data/test/config_sixs_ruche_qcustom_20220739.ini 900
+#	$(PROCESS) data/test/config_sixs_ruche_qcustom2_20220739.ini 900
+#	$(PROCESS) /nfs/ruche-sixs/sixs-soleil/com-sixs/2023/Run3/20221521_Bendounan/binoculars/config_map_hkl-limit18.cfg 1026-1244
+#	$(PROCESS) /nfs/ruche-sixs/sixs-soleil/com-sixs/2023/Run2/Hennet_20220364_2/binoculars/config_sbs_eiger.txt 199
 
 ssd:
-	$(PROCESS) data/test/config_ssd_cristal_qparqper.ini
+#	$(PROCESS) data/test/config_ssd_cristal_qparqper.ini
 #	$(PROCESS) data/test/config_ssd_cristal.iniconfig_ssd_cristal_qparqper.ini
 #	$(PROCESS) data/test/config_ssd_cristal_limits.ini
 #	$(PROCESS) /home/picca/tests-datas/binoculars/sixs/int32/config.cfg
+#	$(PROCESS) data/test/config_ssd_sixs_flymedv.txt 836-916
+#	$(PROCESS) data/test/config_ssd_sixs_flymedv_v2.txt 836-916
+#	$(PROCESS) /home/picca/test-data/dpath/config_dpath.txt 488
+#	$(PROCESS) /home/picca/test-data/dpath/config_dpath2.txt 488
+#	$(PROCESS) /home/picca/test-data/translation/config_ech6eiger.txt 912-913
+	$(PROCESS) /home/picca/test-data/timescan/config_sbs_eiger.txt 199
 
 #binoculars process config_m1018_32h_Qxyz.txt 173-187- 190-195
 #binoculars process config_m1018_32h_Qxyz.txt 217-224
@@ -64,4 +108,5 @@
 #binoculars process config_m1018_32h_Qxyz.txt 105-106 129 131
 #binoculars process configV2_m1018_32h_Qxyz_Vhkl.txt 45-48 62-63 67-68
 #binoculars process config_m1018_32h_HKL.txt 33-36
-.PHONI: mars ord05133 ssd sixs
+
+.PHONI: cristal mars ord05133 sixs ssd

=== debian/changelog ===
hkl (5.0.0.3357-1) unstable; urgency=medium

  * New upstream release.
  * d/control: Added B-D libcglm-dev

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 23 Jun 2023 11:10:19 +0200

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
  gobject-introspection,
  gtk-doc-tools,
  libbullet-dev,
+ libcglm-dev,
  libg3d-dev,
  libg3d-plugins,
  libgirepository1.0-dev,

## hkl 5.0.0.3372

=== contrib/haskell/data/test/Makefile ===
--- 
+++ 
@@ -68,8 +68,8 @@
 #	$(PROCESS) /nfs/ruche-sixs/sixs-soleil/com-sixs/2023/Run2/Mozhzhukhina_20220548/binoculars/config_sbs_xpad.txt 356
 #	$(PROCESS) /nfs/ruche-sixs/sixs-soleil/com-sixs/2023/Run2/Mozhzhukhina_20220548/binoculars/config_sbs_xpad.txt 537
 #	$(PROCESS) /nfs/ruche-sixs/sixs-soleil/com-sixs/2023/Run2/Mozhzhukhina_20220548/binoculars/config_sbs_eiger.txt 306
-	$(PROCESS) /nfs/ruche-sixs/sixs-soleil/com-sixs/2023/Run2/Mozhzhukhina_20220548/binoculars/config_sbs_eiger.txt 640
-# TODO	$(PROCESS) /nfs/ruche-sixs/sixs-soleil/com-sixs/2021/Run3/20201559_Andreazza/binoculars/config3_ech1.txt 77-78
+#	$(PROCESS) /nfs/ruche-sixs/sixs-soleil/com-sixs/2023/Run2/Mozhzhukhina_20220548/binoculars/config_sbs_eiger.txt 640
+#	$(PROCESS) /nfs/ruche-sixs/sixs-soleil/com-sixs/2021/Run3/20201559_Andreazza/binoculars/config3_ech1.txt 77-78
 #	$(PROCESS) data/test/config_sixs_ruche_qcustom2_1.ini 912
 #	$(PROCESS) data/test/config_sixs_ruche_qcustom2_1.ini 913
 #	$(PROCESS) data/test/config_sixs_ruche_qcustom2_1.ini 912-913
@@ -78,8 +78,10 @@
 #	$(PROCESS) data/test/config_sixs_ruche_qcustom2_3.ini 50-55
 #	$(PROCESS) data/test/config_sixs_ruche_qcustom_20220739.ini 900
 #	$(PROCESS) data/test/config_sixs_ruche_qcustom2_20220739.ini 900
+#	$(PROCESS) /nfs/ruche-sixs/sixs-soleil/com-sixs/2023/Run3/20221521_Bendounan/binoculars/config_test.txt 16
 #	$(PROCESS) /nfs/ruche-sixs/sixs-soleil/com-sixs/2023/Run3/20221521_Bendounan/binoculars/config_map_hkl-limit18.cfg 1026-1244
 #	$(PROCESS) /nfs/ruche-sixs/sixs-soleil/com-sixs/2023/Run2/Hennet_20220364_2/binoculars/config_sbs_eiger.txt 199
+	$(PROCESS) data/test/config_sixs_ruche_polarization.ini 112
 
 ssd:
 #	$(PROCESS) data/test/config_ssd_cristal_qparqper.ini

=== debian/changelog ===
hkl (5.0.0.3372-2) unstable; urgency=medium

  * Team upload
  * Drop unnecessary Build-Depends: libgtkglext1-dev

 -- Bastian Germann <bage@debian.org>  Wed, 01 Nov 2023 16:00:48 +0100

hkl (5.0.0.3372-1) unstable; urgency=medium

  * Set upstream metadata fields: Repository.
  * Update standards version to 4.6.2, no changes needed.
  * New upstream version 5.0.0.3372

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 29 Sep 2023 14:27:20 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  libgl-dev,
  libgsl0-dev | libgsl-dev,
  libgtk-3-dev,
- libgtkglext1-dev,
+ libglu-dev,
  libhdf5-dev,
  libyaml-dev,
  python3-gi,
@@ -28,7 +28,7 @@
 Build-Depends-Indep:
  elpa-htmlize <!nodoc>,
  emacs | org-mode <!nodoc>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/hkl
 Vcs-Git: https://salsa.debian.org/science-team/hkl.git
 Homepage: https://repo.or.cz/hkl.git

## hkl 5.0.0.3381

=== debian/changelog ===
hkl (5.0.0.3381-1) unstable; urgency=medium

  * Added pristine-tar by default in d/gbp.conf
  * New upstream version 5.0.0.3381
  * d/control: set R-R-R: no

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 21 Nov 2023 15:19:35 +0100

=== debian/control ===
--- 
+++ 
@@ -32,6 +32,7 @@
 Vcs-Browser: https://salsa.debian.org/science-team/hkl
 Vcs-Git: https://salsa.debian.org/science-team/hkl.git
 Homepage: https://repo.or.cz/hkl.git
+Rules-Requires-Root: no
 
 Package: ghkl
 Architecture: any

## hkl 5.0.0.3434

=== binoculars-ng/data/test/Makefile ===
RTS = +RTS -N8 -RTS
RUN = cd ../..; /usr/bin/time -v ./bootstrap cabal run binoculars-ng -- $(RTS)
PROCESS = $(RUN) --debug process
#PROCESS = cd ../..; binoculars-ng process
PROCESS_DBG=cd ../.. ; ./bootstrap gdb --args $$(cabal list-bin binoculars-ng) --debug process
#PROCESS_DBG = cd ../..; ./bootstrap gdb --args dist-newstyle/build/x86_64-linux/ghc-8.8.4/hkl-0.1.0.0/x/binoculars-ng/build/binoculars-ng/binoculars-ng --debug process


cristal:
	$(PROCESS) /nfs/ruche/cristal-soleil/com-cristal/2019/Run5/99190273_Bouyanfif/PourFred/conf_mask.ini  64

mars:
#	$(PROCESS) data/test/config_mars_ruche_rel_flyscan.ini
#	$(PROCESS) /nfs/ruche/mars-soleil/com-mars/2021_Run5/20191020/binoculars/config_qxqyqz.ini 173
#	$(PROCESS) /nfs/ruche/mars-soleil/com-mars/2021_Run5/20191020/binoculars/config_qxqyqz.ini 153
#	$(PROCESS) /nfs/ruche/mars-soleil/com-mars/2021_Run5/20191020/binoculars/config_qxqyqz.ini 132
#	$(PROCESS) /nfs/ruche/mars-soleil/com-mars/2021_Run5/20191020/binoculars/config_qxqyqz.ini 105
#	$(PROCESS) /nfs/ruche/mars-soleil/com-mars/2021_Run5/20191020/binoculars/config_qxqyqz.ini 78
#	$(PROCESS) /nfs/ruche/mars-soleil/com-mars/2021_Run5/20191020/binoculars/config_qxqyqz.ini 75
#	$(PROCESS) /nfs/ruche/mars-soleil/com-mars/2022_Run1/20211749/binoculars/config_qxqyqz.ini 75
#	$(PROCESS) /nfs/ruche/mars-soleil/com-mars/2022_Run1/20211749/binoculars/config_qxqyqz.ini 145
	$(PROCESS) /nfs/ruche/mars-soleil/com-mars/2024_Run1/HR_XRD_CX2/binoculars/config_qxqyqz.ini 473

ord05133:
#	valgrind --tool=massif /home/picca/src/repo.or.cz/hkl/contrib/haskell/dist-newstyle/build/x86_64-linux/ghc-8.8.4/hkl-0.1.0.0/x/binoculars-ng/build/binoculars-ng/binoculars-ng process config_ord05133_flymedh.ini 1303-1312
#	valgrind --tool=helgrind /home/picca/src/repo.or.cz/hkl/contrib/haskell/dist-newstyle/build/x86_64-linux/ghc-8.8.4/hkl-0.1.0.0/x/binoculars-ng/build/binoculars-ng/binoculars-ng process config_ord05133_int32.cfg  1303-1306
#	$(PROCESS) /nfs/ruche/sixs-soleil/com-sixs/2021/Run4/20210628_Torrelles/binoculars/config2.txt 1303
#	$(PROCESS) data/test/config_ord05133_int32.cfg 1303-1312
#	$(PROCESS) /nfs/ruche-sixs/sixs-soleil/com-sixs/2021/Run4/Arthur_UHV/binoculars/config210_m1018_32h_Qxyz_Vhkl.txt 134-160
#	$(PROCESS) data/test/config_ord05133_110_m1018_32h_Qxyz_Vhkl.ini 272-285,289-316
#	$(PROCESS) data/test/config_ord05133_110_m1018_32h_Qxyz_Vhkl.ini 272-273
#	$(PROCESS) ~/src/repo.or.cz/hkl/contrib/haskell/data/test/config_ord05133_flymedh.ini 1303-1312
#	$(PROCESS) ~/src/repo.or.cz/hkl/contrib/haskell/data/test/config_ord05133_flymedh.ini 1303-1312
#	$(PROCESS) data/test/config_ord05133_flymedh.ini 1303-1312
#	$(PROCESS) data/test/config_ord05133_ruche_mars_flyscan.ini
#	$(PROCESS) data/test/config_ord05133_ruche_uhv_big.ini
#	$(PROCESS) data/test/config_ord05133_ruche_flymedv_3.ini
	$(PROCESS) data/test/config_ord05133_ruche_limit_18KeV.ini 815-818

sixs:
#	$(PROCESS) hkl/contrib/haskell/dist-newstyle/build/x86_64-linux/ghc-8.8.4/hkl-0.1.0.0/x/binoculars-ng/build/binoculars-ng/binoculars-ng process data/test/config_sixs_ruche_uhv.ini
#	$(PROCESS) data/test/config_sixs_ruche_uhv.ini
#	$(PROCESS) data/test/config_sixs_ruche_uhv_2.ini
#	$(PROCESS) /nfs/ruche-sixs/sixs-soleil/com-sixs/2021/Run2/test_Arthur/binoculars/Test_ROD_config_UHV_2m115_1500_3h_TT_Qxyz.txt 2016-2044
#	$(PROCESS) /nfs/ruche-sixs/sixs-soleil/com-sixs/2022/Run1/20211017_resta/Binoculars/T450C/config_map2h.txt 1596-1635
#	$(PROCESS) data/test/config_sixs_ruche_flymedv_2.ini
#	$(PROCESS) data/test/config_sixs_ruche_flymedv_3.ini 698-734 735-736
#	$(PROCESS) data/test/config_sixs_ruche_limits.txt 338
#	$(PROCESS) data/test/config_sixs_ruche_flyscanuhvtest.txt 550
#	$(PROCESS) data/test/config_sixs_ruche_angles.ini 274-279
#	$(PROCESS) /nfs/ruche-sixs/sixs-soleil/com-sixs/2020/Run5/20200672_Guinebretiere/binoculars/config_6D5b_Qxyz.txt 412-417
#	$(PROCESS) /nfs/ruche-sixs/sixs-soleil/com-sixs/2022/Run4/cervasio_20220528/binoculars/config_hkl_s70.cfg 170-178
#	$(PROCESS) /nfs/ruche-sixs/sixs-soleil/com-sixs/2022/Run5/Lundgren_20220155/binoculars21/config_hkl.cfg 570-599
#	$(PROCESS) /nfs/ruche-sixs/sixs-soleil/com-sixs/2022/Run5/Lundgren_20220155/binoculars21/config_hkl_3.cfg 570-599
#	$(PROCESS) /nfs/ruche-sixs/sixs-soleil/com-sixs/2022/Run5/20220739_kutyla/binoculars/config_angles.cfg-ng 26-41
#	$(PROCESS) /nfs/ruche-sixs/sixs-soleil/com-sixs/2022/Run5/20220739_kutyla/binoculars/config_q-index.cfg 210-286
#	$(PROCESS) /nfs/ruche-sixs/sixs-soleil/com-sixs/2022/Run5/20220739_kutyla/binoculars/config_auto.txt 922
#	$(PROCESS) /nfs/ruche-sixs/sixs-soleil/com-sixs/2022/Run5/20220739_kutyla/binoculars/config_auto_sbs.txt 1087
#	$(PROCESS) data/test/config_sixs_ruche_qcustom.ini
# 	$(PROCESS) data/test/config_sixs_ruche_qcustom2.ini
#	$(PROCESS) data/test/config_sixs_ruche_qcustom_datapath.ini
#	$(PROCESS) data/test/config_sixs_ruche_qcustom_sbsuhv.ini
#	$(PROCESS) /nfs/ruche-sixs/sixs-soleil/com-sixs/2022/Run5/Creutzburg_20220176/binoculars/config_hkl.cfg 218
#	$(PROCESS) /nfs/ruche-sixs/sixs-soleil/com-sixs/2022/Run5/Creutzburg_20220176/binoculars/config_sbs.cfg 215
#	$(PROCESS) /nfs/ruche-sixs/sixs-soleil/com-sixs/2022/Run5/Creutzburg_20220176/binoculars/config_sbs.cfg 12
#	$(PROCESS) /nfs/ruche-sixs/sixs-soleil/com-sixs/2022/Run2/Hejral_20210611/binoculars/config_hkl_sbs.txt 50
#	$(PROCESS) /nfs/ruche-sixs/sixs-soleil/com-sixs/2022/Run3/felici_20211498/binoculars/config_hkl.txt 40-82
#	$(PROCESS) /nfs/ruche-sixs/sixs-soleil/com-sixs/2022/Run1/20211454_Bellec/binoculars/config_dpath.txt 488
#	$(PROCESS) /nfs/ruche-sixs/sixs-soleil/com-sixs/2022/Run1/20211454_Bellec/binoculars/config_angles.txt 488
#	$(PROCESS) /nfs/ruche-sixs/sixs-soleil/com-sixs/2023/Run2/Mozhzhukhina_20220548/binoculars/config_sbs_xpad.txt 356
#	$(PROCESS) /nfs/ruche-sixs/sixs-soleil/com-sixs/2023/Run2/Mozhzhukhina_20220548/binoculars/config_sbs_xpad.txt 537
#	$(PROCESS) /nfs/ruche-sixs/sixs-soleil/com-sixs/2023/Run2/Mozhzhukhina_20220548/binoculars/config_sbs_eiger.txt 306
#	$(PROCESS) /nfs/ruche-sixs/sixs-soleil/com-sixs/2023/Run2/Mozhzhukhina_20220548/binoculars/config_sbs_eiger.txt 640
#	$(PROCESS) /nfs/ruche-sixs/sixs-soleil/com-sixs/2021/Run3/20201559_Andreazza/binoculars/config3_ech1.txt 77-78
#	$(PROCESS) data/test/config_sixs_ruche_qcustom2_1.ini 912
#	$(PROCESS) data/test/config_sixs_ruche_qcustom2_1.ini 913
#	$(PROCESS) data/test/config_sixs_ruche_qcustom2_1.ini 912-913
#	$(PROCESS) data/test/config_sixs_ruche_qcustom2_2.ini 912-913
#	$(PROCESS) /nfs/ruche-sixs/sixs-soleil/com-sixs/2021/Run1/20201403_Bellec/binoculars/config1q.txt 50-55
#	$(PROCESS) data/test/config_sixs_ruche_qcustom2_3.ini 50-55
#	$(PROCESS) data/test/config_sixs_ruche_qcustom_20220739.ini 900
#	$(PROCESS) data/test/config_sixs_ruche_qcustom2_20220739.ini 900
#	$(PROCESS) /nfs/ruche-sixs/sixs-soleil/com-sixs/2023/Run3/20221521_Bendounan/binoculars/config_test.txt 16
#	$(PROCESS) /nfs/ruche-sixs/sixs-soleil/com-sixs/2023/Run3/20221521_Bendounan/binoculars/config_map_hkl-limit18.cfg 1026-1244
#	$(PROCESS) /nfs/ruche-sixs/sixs-soleil/com-sixs/2023/Run2/Hennet_20220364_2/binoculars/config_sbs_eiger.txt 199
	$(PROCESS) data/test/config_sixs_ruche_polarization.ini 112

ssd:
#	$(PROCESS) data/test/config_ssd_cristal_qparqper.ini
#	$(PROCESS) data/test/config_ssd_cristal.iniconfig_ssd_cristal_qparqper.ini
#	$(PROCESS) data/test/config_ssd_cristal_limits.ini
#	$(PROCESS) /home/picca/tests-datas/binoculars/sixs/int32/config.cfg
#	$(PROCESS) data/test/config_ssd_sixs_flymedv.txt 836-916
#	$(PROCESS) data/test/config_ssd_sixs_flymedv_v2.txt 836-916
#	$(PROCESS) /home/picca/test-data/dpath/config_dpath.txt 488
#	$(PROCESS) /home/picca/test-data/dpath/config_dpath2.txt 488
#	$(PROCESS) /home/picca/test-data/translation/config_ech6eiger.txt 912-913
	$(PROCESS) /home/picca/test-data/timescan/config_sbs_eiger.txt 199

#binoculars process config_m1018_32h_Qxyz.txt 173-187- 190-195
#binoculars process config_m1018_32h_Qxyz.txt 217-224
#binoculars process config_m1018_32h_HKL.txt 103-132
#binoculars process config_m1018_32h_HKL.txt 173-187 190-195
#binoculars process config_m1018_32h_HKL.txt 228-257
#binoculars process config110tige1_m1018_32h_Qxyz_Vhkl.txt 173-187 190-195
#binoculars process config110tige2_m1018_32h_Qxyz_Vhkl.txt 40-53 55-68 71-100
#binoculars process config210_m1018_32h_Qxyz_Vhkl.txt 103-132
#binoculars process config210_m1018_32h_Qxyz_Vhkl.txt 134 137 140 143 146 149 152 155 158
#binoculars process config210_m1018_32h_Qxyz_Vhkl.txt 259
#binoculars process config210_m1018_32h_Qxyz_Vhkl.txt 262-269
#binoculars process config_m1018_32h_Qxyz_Vhkl.txt 105-106 129 131
#binoculars process config_m1018_32h_Qxyz.txt 105-106 129 131
#binoculars process configV2_m1018_32h_Qxyz_Vhkl.txt 45-48 62-63 67-68
#binoculars process config_m1018_32h_HKL.txt 33-36

.PHONI: cristal mars ord05133 sixs ssd

=== debian/changelog ===
hkl (5.0.0.3434-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 30 May 2024 15:39:21 +0200

hkl (5.0.0.3434-1) unstable; urgency=medium

  [ Picca Frédéric-Emmanuel ]
  * Add missing build dependency on gobject-introspection-bin for addon gir.
  * New upstream version 5.0.0.3434
  * Bug fix: "hkl FTBFS with libcglm-dev 0.9.2-1", thanks to Adrian Bunk
    (Closes: #1063631).
  * d/control: Added B-D libinih-dev
  * d/libhkl5.symbols: Updated
  * d/rules: use the right syntax for dh_autoreconf

  [ Roland Mas ]
  * d/control: Added Myself as Uploaders.
  * d/control: B-D added libdatatype99-dev.
  * Bug fix: "Please remove dependency on install-info", thanks to
    hille42@web.de</a>; (Closes: #1013821).
  * Bug fix: "Fails to build source after successful build", thanks to
    Lucas Nussbaum (Closes: #1046274).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 19 Apr 2024 10:26:26 +0200

=== debian/control ===
--- 
+++ 
@@ -3,24 +3,67 @@
 Uploaders:
  Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>,
  Picca Frédéric-Emmanuel <picca@debian.org>,
+ Roland Mas <lolando@debian.org>,
 Section: science
 Priority: optional
 Build-Depends:
  autoconf-archive,
  debhelper-compat (= 13),
+ ghc,
  gnuplot-nox,
  gobject-introspection,
+ gobject-introspection-bin | gobject-introspection,
  gtk-doc-tools,
  libbullet-dev,
  libcglm-dev,
+ libdatatype99-dev,
  libg3d-dev,
  libg3d-plugins,
+ libghc-aeson-dev,
+ libghc-async-dev,
+ libghc-attoparsec-dev,
+ libghc-base-dev,
+ libghc-bindings-dsl-dev,
+ libghc-bytestring-dev,
+ libghc-config-ini-dev,
+ libghc-containers-dev,
+ libghc-dimensional-dev,
+ libghc-directory-dev,
+ libghc-either-dev,
+ libghc-errors-dev,
+ libghc-exceptions-dev,
+ libghc-extra-dev,
+ libghc-filepath-dev,
+ libghc-intervals-dev,
+ libghc-generic-random-dev,
+ libghc-hashable-dev,
+ libghc-hdf5-dev,
+ libghc-hmatrix-dev,
+ libghc-hmatrix-gsl-dev,
+ libghc-ini-dev,
+ libghc-lens-dev,
+ libghc-monad-logger-dev,
+ libghc-monad-loops-dev,
+ libghc-mtl-dev,
+ libghc-optparse-applicative-dev,
+ libghc-path-dev,
+ libghc-path-io-dev,
+ libghc-pipes-dev,
+ libghc-pipes-safe-dev,
+ libghc-quickcheck2-dev,
+ libghc-quickcheck-text-dev,
+ libghc-terminal-progress-bar-dev,
+ libghc-text-dev,
+ libghc-transformers-dev,
+ libghc-unordered-containers-dev,
+ libghc-vector-dev,
  libgirepository1.0-dev,
  libgl-dev,
+ libglu-dev,
  libgsl0-dev | libgsl-dev,
  libgtk-3-dev,
- libglu-dev,
  libhdf5-dev,
+ libinih-dev,
  libyaml-dev,
  python3-gi,
  python3-matplotlib,
@@ -75,7 +118,6 @@
 Section: libdevel
 Depends:
  gir1.2-hkl-5.0 (= ${binary:Version}),
- install-info,
  libglib2.0-dev,
  libgsl-dev | libgsl0-dev,
  libhkl5 (= ${binary:Version}),

## hkl 5.0.0.3462

=== debian/changelog ===
hkl (5.0.0.3462-1) unstable; urgency=medium

  * New upstream version 5.0.0.3462
  * Bug fix: "FTBFS: unrecognized option `-p&#39;", thanks to Santiago
    Vila (Closes: #1071315).
  * d/control: B-D added cabal-install.
  * d/control: B-D added gobject-introspection-bin | gobject-introspection.
    make the package backportable on bookworm.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 02 Jun 2024 12:26:35 +0200

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
 Priority: optional
 Build-Depends:
  autoconf-archive,
+ cabal-install,
  debhelper-compat (= 13),
  ghc,
  gnuplot-nox,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export MPLCONFIGDIR=$(CURDIR)
export DESTDIR=$(CURDIR)/debian/tmp

%:
	dh $@ --with=gir

override_dh_clean:
	rm -f Documentation/api/hkl-docs.sgml
	dh_clean

override_dh_autoreconf:
	dh_autoreconf ./autogen.sh

override_dh_auto_configure-indep: docflags = \
	--enable-gtk-doc \
	--htmldir=/usr/share/doc/libhkl-doc \
	--with-mathjax=/usr/share/javascript/mathjax/MathJax.js?config=TeX-AMS_HTML

override_dh_auto_configure-arch: docflags = --disable-gtk-doc --disable-hkl-doc  --enable-datatype99

override_dh_auto_configure-arch override_dh_auto_configure-indep:
	dh_auto_configure -- $(docflags) --enable-hkl3d

override_dh_auto_install-arch:
	dh_auto_install

	# ghkl
	dh_install -p ghkl usr/bin
	dh_install -p ghkl usr/share/applications
	dh_install -p ghkl usr/share/hkl
	dh_install -p ghkl usr/share/man

	# gir1.2-hkl-5.0
	dh_install -p gir1.2-hkl-5.0 usr/lib/*/girepository-1.0

	# libhkl-dev
	dh_install -p libhkl-dev usr/include
	dh_install -p libhkl-dev usr/lib/*/lib*.so
	dh_install -p libhkl-dev usr/lib/*/pkgconfig/*.pc
	dh_install -p libhkl-dev usr/share/gir-1.0/

	# libhkl5
	dh_install -p libhkl5 usr/lib/*/lib*.so.*

override_dh_auto_install-indep:
	dh_auto_build -- install-html DESTDIR="$(DESTDIR)"
	dh_auto_build -- install-data DESTDIR="$(DESTDIR)"

	# libhkl-doc
	dh_install -p libhkl-doc usr/share/doc
	dh_install -p libhkl-doc usr/share/gtk-doc

override_dh_missing:
	dh_missing --list-missing -Xlibhkl.la -Xlibhkl.a

## hkl 5.1.2

=== debian/changelog ===
hkl (5.1.2-2) unstable; urgency=medium

  * fix i386 FTBFS by removing hardcoded -N4 ghc-options

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 16 Oct 2024 13:59:25 +0200

hkl (5.1.2-1) unstable; urgency=medium

  * New upstream version 5.1.2
  * d/control: Added B-D libghc-hspec-dev

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 16 Oct 2024 11:15:13 +0200

=== debian/control ===
--- 
+++ 
@@ -41,6 +41,7 @@
  libghc-hdf5-dev,
  libghc-hmatrix-dev,
  libghc-hmatrix-gsl-dev,
+ libghc-hspec-dev,
  libghc-ini-dev,
  libghc-lens-dev,
  libghc-monad-logger-dev,

## hkl 5.1.3

=== binoculars-ng/data/test/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 RTS = +RTS -N8 -RTS
-RUN = cd ../..; /usr/bin/time -v ./bootstrap cabal run binoculars-ng -- $(RTS)
+RUN = cd ../..; /usr/bin/time -v ./binoculars-ng $(RTS)
 PROCESS = $(RUN) --debug process
 #PROCESS = cd ../..; binoculars-ng process
 PROCESS_DBG=cd ../.. ; ./bootstrap gdb --args $$(cabal list-bin binoculars-ng) --debug process

=== debian/changelog ===
hkl (5.1.3-1build1) plucky; urgency=medium

  * No-change rebuild against libhdf5-310

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 27 Jan 2025 18:01:47 +0000

hkl (5.1.3-1) unstable; urgency=medium

  [ Picca Frédéric-Emmanuel ]
  * d/gitlab-ci.yml: deleted, we use the default recipes

  [ Gilles Filippini ]
  * Support for HDF5 1.14.

  [ Roland Mas ]
  * Upload Gilles's patch to fix: "FTBFS against HDF5 1.14: Module
    ‘Bindings.HDF5.Raw’ does not export ‘H5L_info_t’", thanks to Gilles
    Filippini (Closes: #1087738).

  [ Picca Frédéric-Emmanuel ]
  * New upstream version 5.1.3
  * refresh patch series
  * r/control: Added B-D libghc-hspec-attoparsec-dev

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 15 Jan 2025 17:48:10 +0100

=== debian/rules ===
--- 
+++ 
@@ -6,14 +6,21 @@
 export MPLCONFIGDIR=$(CURDIR)
 export DESTDIR=$(CURDIR)/debian/tmp
 
+HDF5_VERSION = $(shell h5cc -showconfig | grep 'HDF5 Version' | awk '{print $$3}')
+
 %:
 	dh $@ --with=gir
 
 override_dh_clean:
+	set -x; [ ! -f binoculars-ng/src/Hkl/H5.hs.orig ] || mv binoculars-ng/src/Hkl/H5.hs.orig binoculars-ng/src/Hkl/H5.hs
 	rm -f Documentation/api/hkl-docs.sgml
 	dh_clean
 
 override_dh_autoreconf:
+	# Support for HDF5 1.14
+	set -x; [ -f binoculars-ng/src/Hkl/H5.hs.orig ] || \
+	  dpkg --compare-versions '$(HDF5_VERSION)' '<<' 1.12.0 || \
+	  sed -i.orig 's/H5L_info_t/H5L_info1_t/g;s/h5l_iterate/h5l_iterate1/g' binoculars-ng/src/Hkl/H5.hs
 	dh_autoreconf ./autogen.sh
 
 override_dh_auto_configure-indep: docflags = \

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
https://repo.or.cz/hkl.git \
refs/tags/v([\d\.]+) debian uupdate

## hkl 5.1.4

=== debian/changelog ===
hkl (5.1.4-1) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.7.2.
  * Remove «Rules-Requires-Root: no», which is the current default.
  * Remove «Priority: optional», which is the current default.
  * New upstream version 5.1.4
  * d/control: modifyed B-D
      - libg3d-dev
      - libg3d-plugins
      - libgirepository1.0-dev
      + dh-sequence-gir
      + gir1.2-gobject-2.0-dev
      + gobject-introspection (>= 1.80),
      + libassimp-dev
      + libepoxy-dev
      + libghc-inspection-testing-dev,
  * Bug fix: "depends on non-multiarch-friendly libgirepository1.0-dev",
    thanks to Simon McVittie (Closes: #1118846).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 21 Jan 2026 09:23:42 +0100

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 HDF5_VERSION = $(shell h5cc -showconfig | grep 'HDF5 Version' | awk '{print $$3}')
 
 %:
-	dh $@ --with=gir
+	dh $@
 
 override_dh_clean:
 	set -x; [ ! -f binoculars-ng/src/Hkl/H5.hs.orig ] || mv binoculars-ng/src/Hkl/H5.hs.orig binoculars-ng/src/Hkl/H5.hs
@@ -21,7 +21,8 @@
 	set -x; [ -f binoculars-ng/src/Hkl/H5.hs.orig ] || \
 	  dpkg --compare-versions '$(HDF5_VERSION)' '<<' 1.12.0 || \
 	  sed -i.orig 's/H5L_info_t/H5L_info1_t/g;s/h5l_iterate/h5l_iterate1/g' binoculars-ng/src/Hkl/H5.hs
-	dh_autoreconf ./autogen.sh
+	#dh_autoreconf ./autogen.sh
+	dh_autoreconf
 
 override_dh_auto_configure-indep: docflags = \
 	--enable-gtk-doc \

## hkl 5.1.5

=== debian/changelog ===
hkl (5.1.5-1) unstable; urgency=medium

  * New upstream version 5.1.5

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 13 Feb 2026 15:13:02 +0100

## hkl 5.1.6

=== debian/changelog ===
hkl (5.1.6-1) unstable; urgency=medium

  * New upstream version 5.1.6
  * Bug fix: "hkl FTBFS on !amd64: hkl-binoculars-t coordinates_get
    failure", thanks to Adrian Bunk (Closes: #1127976).
  * Bug fix: "Fails to build source after successful build", thanks to
    Lucas Nussbaum (Closes: #1046274).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 16 Feb 2026 11:13:14 +0100

## hkl 5.1.7

=== debian/changelog ===
hkl (5.1.7-2) unstable; urgency=medium

  * do not install /usr/share/hkl on s390x (no 3d)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 17 Feb 2026 16:34:02 +0100

hkl (5.1.7-1) unstable; urgency=medium

  * New upstream version 5.1.7
  * d/rules: do not activate hkl3d on s390x.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 16 Feb 2026 17:20:33 +0100

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,26 @@
 Source: hkl
+Standards-Version: 4.7.2
 Maintainer: Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
 Uploaders:
  Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>,
  Picca Frédéric-Emmanuel <picca@debian.org>,
  Roland Mas <lolando@debian.org>,
 Section: science
-Priority: optional
 Build-Depends:
  autoconf-archive,
  cabal-install,
  debhelper-compat (= 13),
+ dh-sequence-gir,
  ghc,
  gnuplot-nox,
- gobject-introspection,
- gobject-introspection-bin | gobject-introspection,
+ gir1.2-gobject-2.0-dev,
+ gobject-introspection (>= 1.80),
  gtk-doc-tools,
+ libassimp-dev,
  libbullet-dev,
  libcglm-dev,
  libdatatype99-dev,
- libg3d-dev,
- libg3d-plugins,
+ libepoxy-dev,
  libghc-aeson-dev,
  libghc-async-dev,
  libghc-attoparsec-dev,
@@ -35,14 +36,16 @@
  libghc-exceptions-dev,
  libghc-extra-dev,
  libghc-filepath-dev,
- libghc-intervals-dev,
  libghc-generic-random-dev,
  libghc-hashable-dev,
  libghc-hdf5-dev,
  libghc-hmatrix-dev,
  libghc-hmatrix-gsl-dev,
+ libghc-hspec-attoparsec-dev,
  libghc-hspec-dev,
  libghc-ini-dev,
+ libghc-inspection-testing-dev,
+ libghc-intervals-dev,
  libghc-lens-dev,
  libghc-monad-logger-dev,
  libghc-monad-loops-dev,
@@ -52,20 +55,18 @@
  libghc-path-io-dev,
  libghc-pipes-dev,
  libghc-pipes-safe-dev,
+ libghc-quickcheck-text-dev,
  libghc-quickcheck2-dev,
- libghc-quickcheck-text-dev,
  libghc-terminal-progress-bar-dev,
  libghc-text-dev,
  libghc-transformers-dev,
  libghc-unordered-containers-dev,
  libghc-vector-dev,
- libgirepository1.0-dev,
  libgl-dev,
  libglu-dev,
  libgsl0-dev | libgsl-dev,
- libgtk-3-dev,
+ libgtk-4-dev,
  libhdf5-dev,
- libinih-dev,
  libyaml-dev,
  python3-gi,
  python3-matplotlib,
@@ -73,11 +74,9 @@
 Build-Depends-Indep:
  elpa-htmlize <!nodoc>,
  emacs | org-mode <!nodoc>,
-Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/hkl
 Vcs-Git: https://salsa.debian.org/science-team/hkl.git
 Homepage: https://repo.or.cz/hkl.git
-Rules-Requires-Root: no
 
 Package: ghkl
 Architecture: any
@@ -119,11 +118,12 @@
 Architecture: any
 Section: libdevel
 Depends:
- gir1.2-hkl-5.0 (= ${binary:Version}),
+ ${gir:Depends},
+ ${misc:Depends},
  libglib2.0-dev,
  libgsl-dev | libgsl0-dev,
  libhkl5 (= ${binary:Version}),
- ${misc:Depends},
+Provides: ${gir:Provides}
 Pre-Depends:
  ${misc:Pre-Depends},
 Description: diffractometer computation control library - development files
@@ -138,11 +138,11 @@
 
 Package: libhkl-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends:
+ ${misc:Depends},
  libjs-mathjax,
- ${misc:Depends},
-Multi-Arch: foreign
 Description: diffractometer computation control library - documentation
  The hkl library is a framework for diffraction computation and
  diffractometer control, heavily used at the SOLEIL synchrotron. It

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,13 @@
 export DESTDIR=$(CURDIR)/debian/tmp
 
 HDF5_VERSION = $(shell h5cc -showconfig | grep 'HDF5 Version' | awk '{print $$3}')
+
+# look at #1128216
+ifeq ($(DEB_HOST_ARCH),s390x)
+        hkl3dflag = --disable-hkl3d
+else
+        hkl3dflag = --enable-hkl3d
+endif
 
 %:
 	dh $@
@@ -32,7 +39,7 @@
 override_dh_auto_configure-arch: docflags = --disable-gtk-doc --disable-hkl-doc  --enable-datatype99
 
 override_dh_auto_configure-arch override_dh_auto_configure-indep:
-	dh_auto_configure -- $(docflags) --enable-hkl3d
+	dh_auto_configure -- $(docflags) $(hkl3dflag)
 
 override_dh_auto_install-arch:
 	dh_auto_install
@@ -40,7 +47,7 @@
 	# ghkl
 	dh_install -p ghkl usr/bin
 	dh_install -p ghkl usr/share/applications
-	dh_install -p ghkl usr/share/hkl
+	-dh_install -p ghkl usr/share/hkl
 	dh_install -p ghkl usr/share/man
 
 	# gir1.2-hkl-5.0

=== debian/watch ===
Version: 5

Source: https://repo.or.cz/hkl.git
Matching-Pattern: refs/tags/v([\d\.]+)
Version-Policy: debian
Script: uupdate
Mode: git
PGP-Mode: none
